<div id="ld" style="position:fixed; top:50%; left:50%"><img src="img/ld.gif"></div>			

<?php
	if(!session_id()) session_start();
	$ids = session_id();
	
	include "php_class/class_mysql.php";
	include "php_class/class_grup.php";
	$DataGrup = new DataGrup;
	
	
	$tahun = date('y'); 
	$bulan = date('m'); 
	
	$jumlah = $DataGrup->get_last_trans('', $a, 'jumlah');
	
	if ($jumlah==0){
	$kodeMaster = "G0001";	
	}else{
		$terakhir = $jumlah + 1;
		$panjangkarakter = strlen($terakhir);
		for ($i = 1; $i <= 4- $panjangkarakter; $i++){
			$nol = $nol."0";
		}
		$kodeMaster = "G".$nol.$terakhir;
	}




	$total = 0;
	$JumlahData = $DataGrup->get_temp('',$a,'jumlah', $ids);
	for ($a=1;$a<=$JumlahData;$a++){
		$no = $DataGrup->get_temp('id', $a, '', $ids);
		$id = $DataGrup->get_temp('idTemplate',$a,'', $ids);
		$namaTrx = $DataGrup->get_temp('Nama',$a,'', $ids);
		$Biaya = $DataGrup->get_temp('Biaya',$a,'', $ids);
		$total = $total + $Biaya;	
		
		$DataGrup->add_detil_grup($kodeMaster, $id); 
	}
	
	$NamaGrup = $_POST['nama'];

	$DataGrup->add_grup($kodeMaster, $NamaGrup);
	
	$DataGrup->delete_temp($ids);	
	
		include "php_class/class_log_sistem.php";
	$DataLogSistem = new DataLogSistem;
	$idOperator = $_SESSION['idOperator'];
	$namaOp = $_SESSION["NamaOperator"];
	$keterangan = "Menambah Grup : ".$NamaGrup." oleh ".$namaOp."";
	$DataLogSistem->add_data_log_sistem($keterangan,$idOperator);

 echo "<script>window.location='".$base."data-grup'</script>";
?>
